<?php 

	if (Session::get("tipo_usuario") != "1" and Session::get("tipo_usuario") != "2"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_LIBRARIES."functions.php");

		$result = obter_valor_previsto(Session::get("id_usuario"));

		if ($result !== false) {
			echo json_encode(["status" => true, "data" => money_mask_BR($result)]);
		}
		else{
			echo json_encode(["status" => false]);
		}
	}
	else{
		show_403();
	}

?>